variables:  
  TF_VAR_project_name:
        value: ""
        description: "Project name."
  
  TF_VAR_project_description:
        value: ""
        description: "Project description."

  TF_VAR_project_group_id:
        value: ""
        description: "ID Group (Number)."

  TF_VAR_enabled_wiki:
        value: "true"
        options: 
        - "true"
        - "false"
        description: "Enabled Wiki: true / false."

  TF_VAR_initialize_with_readme:
        value: "true"
        options: 
        - "true"
        - "false"
        description: "Inicialize with readme: true / false."
  
  TF_VAR_monitor_access_level:
        value: "disabled"
        options: 
        - "disabled"
        - "private"
        - "enabled"
        description: "Monitor access level: disabled / private / enabled."
  
  TF_VAR_issues_enabled:
        value: "true"
        options: 
        - "true"
        - "false"
        description: "Issues enabled: true / false."
        
  TF_VAR_access_token: "${access_token}"
  TF_VAR_provider_source_gitlab: "${provider_source}"

include:
  - project: 'ccla/tapp/coe-devsecops/laboratorio/terraform'
    ref: main
    file: Terraform.gitlab-ci.yml

stages:
  - build

build:
  extends: .terraform:build
  environment:
    name: $TF_STATE_NAME
    action: prepare
